Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		qtscriptgenerator
Version:	0.1.0
Release:	1
Summary: 	A tool to generate Qt bindings for Qt Script	

Group:		System/Libraries
License: 	GPLv2	
URL:		http://code.google.com/p/qtscriptgenerator/	
Source0:	http://qtscriptgenerator.googlecode.com/files/qtscriptgenerator-src-%{version}.tar.gz	
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Patch1: 	qtscriptgenerator-0.1.0-gcc44.patch
Patch2:		include_everything.patch
BuildRequires: libxslt
BuildRequires: phonon-devel >= 4.3.1
BuildRequires: qt4-devel

%description
Qt Script Generator is a tool to generate Qt bindings for Qt Script.

%prep
%setup -q -n %{name}-src-%{version}

%patch1 -p0 -b .gcc44
%patch2 -p1

%build

# workaround buildsys bogosity, see also:
# http://code.google.com/p/qtscriptgenerator/issues/detail?id=38
export INCLUDE=%{_qt4_headerdir}

pushd generator 
%{_qt4_qmake}
make %{?_smp_mflags}
./generator
popd

pushd qtbindings
%{_qt4_qmake}
make %{?_smp_mflags}
popd

pushd tools/qsexec/src
%{_qt4_qmake}
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot} 

mkdir -p %{buildroot}%{_qt4_plugindir}/script/
# install doesn't do symlinks
cp -a plugins/script/libqtscript* \
  %{buildroot}%{_qt4_plugindir}/script/

cp -a tools/qsexec/README.TXT README.qsexec
install -D -p -m755 tools/qsexec/qsexec %{buildroot}%{_bindir}/qsexec

install -D -p -m755 generator/generator %{buildroot}%{_qt4_bindir}/generator


%clean
rm -rf %{buildroot} 


%files
%defattr(-,root,root,-)
%doc README LICENSE.GPL
%doc README.qsexec 
%doc doc/
%doc examples/
%{_bindir}/qsexec
%{_qt4_plugindir}/script/libqtscript*
%{_qt4_bindir}/generator


%changelog
* Thu Jun 04 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.0-1
- Initial CCux package release
